Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class OrderedLinkedList

    java.lang.Object
      org.exist.util.OrderedLinkedList

public class OrderedLinkedList
extends java.lang.Object

Nested Class Summary
`static class` | `OrderedLinkedList.Node`
`static class` | `OrderedLinkedList.SimpleNode`

Constructor Summary
`OrderedLinkedList()`

Method Summary
`OrderedLinkedList.Node` | `add(OrderedLinkedList.Node newNode)`
`boolean` | `contains(OrderedLinkedList.Node c)`
`OrderedLinkedList.Node` | `get(int pos)`
`OrderedLinkedList.Node[]` | `getData()`
`OrderedLinkedList.Node` | `getLast()`
`java.util.Iterator` | `iterator()`
`static void` | `main(java.lang.String[] args)`
`void` | `remove(OrderedLinkedList.Node n)`
`OrderedLinkedList.Node` | `removeFirst()`
`OrderedLinkedList.Node` | `removeLast()`
`void` | `removeNode(OrderedLinkedList.Node node)`
`void` | `reset()`
`int` | `size()`
`OrderedLinkedList.Node[]` | `toArray(OrderedLinkedList.Node[] data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderedLinkedList

    public OrderedLinkedList()

Method Detail

### add

    public OrderedLinkedList.Node add(OrderedLinkedList.Node newNode)

### remove

    public void remove(OrderedLinkedList.Node n)

### removeNode

    public void removeNode(OrderedLinkedList.Node node)

### removeFirst

    public OrderedLinkedList.Node removeFirst()

### removeLast

    public OrderedLinkedList.Node removeLast()

### getLast

    public OrderedLinkedList.Node getLast()

### get

    public OrderedLinkedList.Node get(int pos)

### getData

    public OrderedLinkedList.Node[] getData()

### toArray

    public OrderedLinkedList.Node[] toArray(OrderedLinkedList.Node[] data)

### contains

    public boolean contains(OrderedLinkedList.Node c)

### size

    public int size()

### reset

    public void reset()

### iterator

    public java.util.Iterator iterator()

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.